WildcardType
Date: 2017-03-29

com.thoughtworks.qdox.model

## Class WildcardType

- java.lang.Object
- - com.thoughtworks.qdox.model.Type
  - - com.thoughtworks.qdox.model.WildcardType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable

      public class WildcardType
      extends Type

  This class supports both the 'super' and 'extends' wildcards. For <?> you must use the normal Type, because ? itself can't be generic
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.thoughtworks.qdox.model.Type

      `EMPTY_ARRAY, VOID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildcardType()`
    `WildcardType(WildcardTypeDef typeDef)`
    `WildcardType(WildcardTypeDef typeDef, JavaClassParent context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGenericValue()` The FQN representation of an Object for code usage This implementation ignores generics Some examples how Objects will be translated

    - ### Methods inherited from class com.thoughtworks.qdox.model.Type

      `compareTo, createUnresolved, createUnresolved, createUnresolved, equals, getActualTypeArguments, getDimensions, getFullQualifiedName, getFullyQualifiedName, getGenericValue, getJavaClass, getJavaClassParent, getResolvedGenericValue, getResolvedValue, getTypeVariableIndex, getValue, hashCode, isA, isArray, isPrimitive, isResolved, isVoid, resolve, resolve, toGenericString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WildcardType

          public WildcardType()

    - #### WildcardType

          public WildcardType(WildcardTypeDef typeDef)

    - #### WildcardType

          public WildcardType(WildcardTypeDef typeDef,
                      JavaClassParent context)

  - ### Method Detail

    - #### getGenericValue

          public java.lang.String getGenericValue()

      Description copied from class: `Type`
      The FQN representation of an Object for code usage This implementation ignores generics Some examples how Objects will be translated

           Object > java.lang.object
           java.util.List > java.util.List
           ? > ?
           T > T
           anypackage.Outer.Inner > anypackage.Outer.Inner

      Overrides:
        `getGenericValue` in class `Type`
      Returns:
        generic type representation for code usage